catalog:
  title: BCO CSRA DB Deploper
templates:
- cmake-cpp
- base
variables:
  description: Deployer for the database administrated by the bco registry.
  keywords:
  - architecture
  - cpp
  repository: https://github.com/csra/bco.registry.csra-db.git
  branches:
  - '0.2'
  - feature-demo-screen
  - feature-resource-allocation
  - master
  - participant-1
  - participant-10
  - participant-2
  - participant-3
  - participant-4
  - participant-5
  - participant-6
  - participant-7
  - participant-8
  - participant-9
  - release-0.15
  - release-0.10
  - release-0.11
  - release-0.12
  - release-0.13
  - release-0.14
  - release-0.3
  - release-0.4
  - release-0.5
  - release-0.6
  - release-0.7
  - release-0.8
  - release-ha-paramite
  - study-google-assistant
  tags:
  - apartmentStudy
  - backup
  - feature-label-refactoring-1
  - outdated-feature-release-2.0
  - v0.2
  - v0.3.0
  path-option:
  - BCO_DB_GIT_PATH
  path-pair: ${path-option}=${bco.registry.db.git.path|}
  home-option:
  - BCO_DB_HOME
  home-pair: ${home-option}=${bco.registry.db.home|}
  cmake.options:
  - FORCE=${bco.registry.db.overwrite|FALSE}
  - READ_ONLY=${bco.registry.db.readonly|TRUE}
  - '@{path-pair}'
  - '@{home-pair}'
  - '@{next-value}'
